﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MVVMTreeViewHierarchical
{
    public class Parent : ViewModelBase
    {
        private string parentName = "";


        public string ParentName
        {
            get => parentName;
            set
            {
                parentName = value;
                RaiseChange("ParentName");
            }
        }

        private ObservableCollection<Child> childList = new ObservableCollection<Child>();

        public ObservableCollection<Child> ChildList
        {
            get => childList;
            set
            {
                childList = value;
                RaiseChange("ChildList");
            }
        }
    }

    public class Child : ViewModelBase
    {
        /// <summary>
        /// 子节点显示字段1
        /// </summary>
        private string item1 = "";

        public string Item1
        {
            get => item1;
            set
            {
                item1 = value;
                RaiseChange("Item1");
            }
        }

        /// <summary>
        /// 子节点显示字段2
        /// </summary>
        private string item2 = "";

        public string Item2
        {
            get => item2;
            set
            {
                item2 = value;
                RaiseChange("Item2");
            }
        }


    }
}
