﻿using MVVMTreeViewHierarchical;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;

namespace DynamicMVVMTreeViewHierarchical
{
    public class TreeNodeMarginConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var level = GetLevel(value);
            return new Thickness(level * 20, 0, 0, 0);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        private int GetLevel(object item)
        {
            int depth = 1;
            var level = item as Level1;

            while (level.Parent != null)
            {
                depth++;
                level = level.Parent;
            }

            return depth;
        }
    }
}
